commit:     528a139df5fa9efee9257661de7bffec8c121822
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Tue Jul  7 19:25:26 2015 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Tue Jul  7 19:25:26 2015 +0000
URL:        https://gitweb.gentoo.org/proj/mysql.git/commit/?id=528a139d

Revert "Always build the command line tools"

This reverts commit ea6e35d0e7f38d5023bbd3e3282502ea7f620697.

 eclass/mysql-cmake.eclass    | 12 +++++++-----
 eclass/mysql-multilib.eclass | 17 +++++++++++------
 2 files changed, 18 insertions(+), 11 deletions(-)

diff --git a/eclass/mysql-cmake.eclass b/eclass/mysql-cmake.eclass
index 0d0a1be..55babbc 100644
--- a/eclass/mysql-cmake.eclass
+++ b/eclass/mysql-cmake.eclass
@@ -428,11 +428,13 @@ mysql-cmake_src_install() {
 
        cmake-utils_src_install
 
-       # Convenience links
-       einfo "Making Convenience links for mysqlcheck multi-call binary"
-       dosym "/usr/bin/mysqlcheck" "/usr/bin/mysqlanalyze"
-       dosym "/usr/bin/mysqlcheck" "/usr/bin/mysqlrepair"
-       dosym "/usr/bin/mysqlcheck" "/usr/bin/mysqloptimize"
+       if ! in_iuse tools || use_if_iuse tools ; then
+               # Convenience links
+               einfo "Making Convenience links for mysqlcheck multi-call 
binary"
+               dosym "/usr/bin/mysqlcheck" "/usr/bin/mysqlanalyze"
+               dosym "/usr/bin/mysqlcheck" "/usr/bin/mysqlrepair"
+               dosym "/usr/bin/mysqlcheck" "/usr/bin/mysqloptimize"
+       fi
 
        if [[ -z ${HAS_TOOLS_PATCH} ]] ; then
                # Create a mariadb_config symlink

diff --git a/eclass/mysql-multilib.eclass b/eclass/mysql-multilib.eclass
index bfee72c..3e90096 100644
--- a/eclass/mysql-multilib.eclass
+++ b/eclass/mysql-multilib.eclass
@@ -237,8 +237,8 @@ if [[ ${PN} == "percona-server" ]]; then
 fi
 
 if [[ ${HAS_TOOLS_PATCH} ]] ; then
-       IUSE="${IUSE} client-libs +server"
-       REQUIRED_USE="${REQUIRED_USE} !server? ( !extraengine !embedded ) || ( 
client-libs server )"
+       IUSE="${IUSE} client-libs +server +tools"
+       REQUIRED_USE="${REQUIRED_USE} !server? ( !extraengine !embedded ) 
server? ( tools ) || ( client-libs server tools )"
 else
        IUSE="${IUSE} minimal"
        REQUIRED_USE="${REQUIRED_USE} minimal? ( !extraengine !embedded )"
@@ -256,11 +256,11 @@ REQUIRED_USE="
 # These are used for both runtime and compiletime
 # MULTILIB_USEDEP only set for libraries used by the client library
 DEPEND="
+       ssl? ( >=dev-libs/openssl-1.0.0:0=[${MULTILIB_USEDEP},static-libs?] )
        kernel_linux? (
                sys-process/procps:0=
                dev-libs/libaio:0=
        )
-       sys-libs/ncurses
        >=sys-apps/sed-4
        >=sys-apps/texinfo-4.7-r1
        !dev-db/mariadb-native-client[mysqlcompat]
@@ -279,11 +279,13 @@ if [[ ${HAS_TOOLS_PATCH} ]] ; then
                        ssl? ( >=dev-libs/openssl-1.0.0:0=[static-libs?] )
                        >=sys-libs/zlib-1.2.3:0=[static-libs?]
                )
+               tools? ( sys-libs/ncurses ) embedded? ( sys-libs/ncurses )
        "
 else
        DEPEND+="
                ssl? ( 
>=dev-libs/openssl-1.0.0:0=[${MULTILIB_USEDEP},static-libs?] )
                >=sys-libs/zlib-1.2.3:0=[${MULTILIB_USEDEP},static-libs?]
+               sys-libs/ncurses[${MULTILIB_USEDEP}]
        "
 fi
 
@@ -309,7 +311,7 @@ fi
 if [[ ${PN} == "mariadb" || ${PN} == "mariadb-galera" ]] ; then
        # Readline is only used for the command-line and embedded example
        if [[ ${HAS_TOOLS_PATCH} ]] ; then
-               DEPEND="${DEPEND} !bindist? ( >=sys-libs/readline-4.1:0= )"
+               DEPEND="${DEPEND} !bindist? ( tools? ( 
>=sys-libs/readline-4.1:0= ) embedded? ( >=sys-libs/readline-4.1:0= )  )"
        else
                DEPEND="${DEPEND} !bindist? ( 
>=sys-libs/readline-4.1:0=[${MULTILIB_USEDEP}] )"
        fi
@@ -630,9 +632,12 @@ multilib_src_configure() {
 
        if in_iuse client-libs ; then
                mycmakeargs+=( -DWITHOUT_CLIENTLIBS=$(usex client-libs 0 1) )
+       fi
 
-               # Always build tools on native, but skip when possible on 
non-native to eliminate multilib dependencies
-               if ! multilib_is_native_abi ; then
+       if in_iuse tools ; then
+               if multilib_is_native_abi ; then
+                       mycmakeargs+=( -DWITHOUT_TOOLS=$(usex tools 0 1) )
+               else
                        mycmakeargs+=( -DWITHOUT_TOOLS=1 )
                fi
        fi

Reply via email to